package org.rcisoft.bus.ossinfo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.bus.ossinfo.entity.OssInfo;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2024年5月27日 下午3:19:03.
 */
public interface OssInfoService {

    /**
    * 保存 
    * @param ossInfo
    * @return
    */
    CyPersistModel persist(OssInfo ossInfo);

    /**
    * 删除 
    * @param ossInfo
    * @return
    */
    CyPersistModel remove(OssInfo ossInfo);

    /**
    * 修改 
    * @param ossInfo
    * @return
    */
    CyPersistModel merge(OssInfo ossInfo);

    /**
    * 根据id查询 
    * @param id
    * @return
    */
    OssInfo findById(int id);

    /**
    * 分页查询 
    * @param ossInfo
    * @return
    */
    IPage<OssInfo> findAllByPagination(CyPageInfo<OssInfo> paginationUtility,
              OssInfo ossInfo);


    /**
    * 查询list 
    * @param ossInfo
    * @return
    */
    List<OssInfo> findAll(OssInfo ossInfo);


    /**
    * 导出
    * @return
    */
    List<OssInfo> export(OssInfo ossInfo);

}
